using System;
using System.Linq;
using System.Collections.Generic;

class Program
{
    static void Main()
    {
        int[] s = Array.ConvertAll(Console.ReadLine().Split(), int.Parse);
        int[] a = Array.ConvertAll(Console.ReadLine().Split(), int.Parse);
        bool res = false;
        int l = s[1];
        for(int i = 0; i < a.Length; i++)
        {
            if (a[i] <= l)
            {
                res = true;
                Console.WriteLine(i+1);
                break;
            }
        }
        if (!res) Console.WriteLine(-1);
        Console.ReadLine();
    }
}